package com.dt.common.service.impl;

import cn.hutool.core.util.IdUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dt.common.domain.Video;
import com.dt.common.service.VideoService;
import com.dt.common.mapper.VideoMapper;
import com.dt.dto.AddVideoDto;
import com.dt.vo.Result;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
* @author lzy
* @description 针对表【video(视频表)】的数据库操作Service实现
* @createDate 2025-07-03 08:31:55
*/
@Service
public class VideoServiceImpl extends ServiceImpl<VideoMapper, Video>
    implements VideoService{

//    添加视频
    @Override
    @Transactional
    public Result addVideo(AddVideoDto addVideoDto) {
        Video video = new Video();
        video.setId(IdUtil.getSnowflake().nextId());
        video.setImg(addVideoDto.getImg());
        video.setTitle(addVideoDto.getTitle());
        video.setUrl(addVideoDto.getUrl());
        video.setViewCount(0);
        video.setLikeCount(0);
        video.setCommentCount(0);
        video.setFavoritesCount(0);
        video.setIsFeatured(addVideoDto.getIsFeatured());

        int insert = this.baseMapper.insert(video);
        if (insert > 0){
            return Result.ok(video, "添加成功");
        }
        return  Result.Err(null, "添加失败");
    }
//  查询所有视频
    @Override
    public Result selVideo() {
        List<Video> videos = this.baseMapper.selectList(null);
        return Result.ok(videos, "查询成功");
    }


}




