package com.dt.child.controller;

import com.dt.common.domain.Child;
import com.dt.common.service.ChildService;
import com.dt.config.NonLoginRequired;
import com.dt.util.TokenUtils;
import com.dt.vo.Result;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

@RestController
@RequestMapping("child")
public class ChildController {

    @Resource
    private ChildService childService;

//    添加幼儿
    @RequestMapping("addChild")
    @NonLoginRequired
    public Result addChild(@RequestBody @Valid Child child, @RequestHeader("token") String token) {
        Long userId = TokenUtils.getUserId(token);
        child.setUserId(userId);
        return childService.addChild(child);
    }
//    查询幼儿
    @RequestMapping("selChild")
    public Result selChild(@RequestHeader("token") String token) {
        Long userId = TokenUtils.getUserId(token);
        return childService.selChild(userId);
    }





}
