package com.dt.common.service.impl;

import cn.hutool.core.util.IdUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dt.common.domain.CaregiverGroup;
import com.dt.common.domain.Child;
import com.dt.common.domain.ParentChild;
import com.dt.common.mapper.ParentChildMapper;
import com.dt.common.service.ChildService;
import com.dt.common.mapper.ChildMapper;
import com.dt.vo.Result;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
* @author sunday
* @description 针对表【child(儿童表)】的数据库操作Service实现
* @createDate 2025-07-01 16:33:35
*/
@Service
public class ChildServiceImpl extends ServiceImpl<ChildMapper, Child>
    implements ChildService{


    @Resource
    private ParentChildMapper parentChildMapper;

//    添加幼儿
    @Override
    @Transactional
    public Result addChild(Child child) {
        try {
            child.setId(IdUtil.getSnowflake().nextId());
            child.setStatus(0);
            child.setCreateTime(new Date());
            child.setUpdateTime(new Date());
            int insert = this.baseMapper.insert(child);
            if (insert > 0){
                Long userId = child.getUserId();
                ParentChild parentChild=new ParentChild();
                parentChild.setId(IdUtil.getSnowflake().nextId());
                parentChild.setChildId(child.getId());
                parentChild.setParentId(userId);
                parentChild.setRelation(child.getRelation());
                parentChild.setCreateTime(new Date());
                parentChild.setIsPrimary(1);
                int insert1 = parentChildMapper.insert(parentChild);
                if (insert1 > 0){
                    return Result.ok(insert, "添加成功");
                }
                return Result.Err(null, "添加失败");
            }
            return Result.Err(null, "添加失败");
        } catch (Exception e) {
            e.printStackTrace();
            return Result.Err(null, "添加失败");
        }
    }

//    查询幼儿
    @Override
    @Transactional
    public Result selChild(Long userId) {
        try {
            List<ParentChild> parentChildren = parentChildMapper.selectList(new LambdaQueryWrapper<ParentChild>().eq(ParentChild::getParentId, userId));
            List<Long> collect = parentChildren.stream().map(opt -> opt.getChildId()).collect(Collectors.toList());
            List<Child> children = this.baseMapper.selectBatchIds(collect);
            return Result.ok(children, "查询成功");
        }catch (Exception e) {
            e.printStackTrace();
        }
        return Result.Err(null, "查询失败");
    }









}




